Bug 667471

Summary: bug in the general simplifier
Product: [Fedora] Fedora Reporter: joshua.stults
Component: maximaAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 13CC: jamatos, rdieter
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: wxMaxima-0.8.7-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-02-24 06:28:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description joshua.stults 2011-01-05 17:49:03 UTC
Description of problem:
The general simplifier in the 5.22 version does not properly simplify matrix expressions with indexed matrix elements.  This bug is fixed in the 5.23 version.  

Version-Release number of selected component (if applicable):
5.22.1.5.fc13

How reproducible:
%i85) display2d:false;
(%o85) false
(%i86) listarith:true;
(%o86) true
(%i87) a*[x,y];
(%o87) [a*x,a*y]
(%i88) a[1]*[x,y];
(%o88) a[1]*[x,y]

Expected results:
[a[1]*x,a[1]*y]

Additional info:
See project mailing list thread 
http://www.math.utexas.edu/pipermail/maxima/2011/023688.html

Comment 1 joshua.stults 2011-02-01 15:14:29 UTC
Downgrading to the 5.20 version provides a work-around until a newer stable version is available:

yum downgrade maxima maxima-runtime* maxima-gui sbc

Comment 2 Fedora Update System 2011-02-10 16:12:14 UTC
maxima-5.23.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/maxima-5.23.2-1.fc14

Comment 3 Fedora Update System 2011-02-10 16:31:02 UTC
wxMaxima-0.8.7-1.fc13,maxima-5.23.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/wxMaxima-0.8.7-1.fc13,maxima-5.23.2-1.fc13

Comment 4 Fedora Update System 2011-02-10 16:38:44 UTC
wxMaxima-0.8.7-1.el6,maxima-5.23.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/wxMaxima-0.8.7-1.el6,maxima-5.23.2-1.el6

Comment 5 Fedora Update System 2011-02-10 21:28:17 UTC
wxMaxima-0.8.7-1.fc14, maxima-5.23.2-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxMaxima maxima'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/wxMaxima-0.8.7-1.fc14,maxima-5.23.2-1.fc14

Comment 6 Fedora Update System 2011-02-24 06:28:45 UTC
wxMaxima-0.8.7-1.fc14, maxima-5.23.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-02-24 06:30:14 UTC
wxMaxima-0.8.7-1.fc13, maxima-5.23.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-02-28 23:54:59 UTC
wxMaxima-0.8.7-1.el6, maxima-5.23.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.